ST_CoordDim
Prev | 8.4. Geometry Accessors | Next

## Name

ST_CoordDim — Return the coordinate dimension of a geometry.

## Synopsis

`integer ST_CoordDim(`geometry geomA`)`;

## Description

Return the coordinate dimension of the ST_Geometry value.

This is the MM compliant alias name for ST_NDims

This method implements the OGC Simple Features Implementation Specification for SQL 1.1.

This method implements the SQL/MM specification. SQL-MM 3: 5.1.3

This method supports Circular Strings and Curves

This function supports 3d and will not drop the z-index.

This function supports Polyhedral surfaces.

This function supports Triangles and Triangulated Irregular Network Surfaces (TIN).

## Examples

    SELECT ST_CoordDim('CIRCULARSTRING(1 2 3, 1 3 4, 5 6 7, 8 9 10, 11 12 13)');
    			---result--
    				3

    				SELECT ST_CoordDim(ST_Point(1,2));
    			--result--
    				2

## See Also

ST_NDims

Prev | Up | Next
ST_BoundingDiagonal | Home | ST_Dimension